Bug 833472 - error adding connection: client-cert
error adding connection: client-cert
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: knetworkmanager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 10:20 EDT by Michael S. Tsirkin
Modified: 2013-08-01 05:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:23:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael S. Tsirkin 2012-06-19 10:20:10 EDT
Description of problem:
I am using kde. Trying to connect to an AP which
uses WPA2, I get an error 
Error adding connection: client-cert.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.4.0-9.git20120521.fc17.i686
NetworkManager-openconnect-0.9.4.0-3.fc17.i686
kde-plasma-networkmanagement-openvpn-0.9.0.2-1.fc17.i686
kde-plasma-networkmanagement-pptp-0.9.0.2-1.fc17.i686
NetworkManager-openvpn-0.9.3.997-1.fc17.i686
kde-plasma-networkmanagement-libs-0.9.0.2-1.fc17.i686
kde-plasma-networkmanagement-openconnect-0.9.0.2-1.fc17.i686
NetworkManager-pptp-0.9.3.997-1.fc17.i686
kde-plasma-networkmanagement-0.9.0.2-1.fc17.i686
kde-plasma-networkmanagement-vpnc-0.9.0.2-1.fc17.i686
NetworkManager-vpnc-0.9.3.997-1.fc17.i686
NetworkManager-glib-0.9.4.0-9.git20120521.fc17.i686


How reproducible:
always

Steps to Reproduce:
1. click on network manager icon
2. click on new AP name which is protected with WPA2
3. get prompted with a large window
   it says security WPA/WPA2 enterprise
   authentication is set to tls by default
4. change private key password to always ask
4. click ok
  
Actual results:
a window appears saying
"Error adding connection: client-cert."

Expected results:
get prompted for password then try to connect
(this is how this worked in F15)

Additional info:
Comment 1 Dan Winship 2012-06-25 13:24:29 EDT
(In reply to comment #0)
> 1. click on network manager icon
> 2. click on new AP name which is protected with WPA2
> 3. get prompted with a large window
>    it says security WPA/WPA2 enterprise
>    authentication is set to tls by default

"WPA/WPA2 Enterprise" + "TLS" means that rather than authenticating with a password, you authenticate with a client-side TLS certificate (which might be password-protected on your local machine, but that's totally different than using a password to connect to the network). Based on the rest of your description, I'm guessing this is wrong? It should have defaulted to plain old "Password" auth instead?

(Either way, there is another bug, which is that if you have "TLS" selected as the auth type, it shouldn't let you close the dialog until you have selected a certificate to use with it.)
Comment 2 Fedora End Of Life 2013-07-03 22:47:30 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 05:24:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.